/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author developer2
 */
@Embeddable
public class TsafeuserdetailPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "USERCODE")
    private String usercode;
    @Basic(optional = false)
    @Column(name = "PERSONCODE")
    private long personcode;
    @Basic(optional = false)
    @Column(name = "DATETO")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dateto;

    public TsafeuserdetailPK() {
    }

    public TsafeuserdetailPK(String usercode, long personcode, Date dateto) {
        this.usercode = usercode;
        this.personcode = personcode;
        this.dateto = dateto;
    }

    public String getUsercode() {
        return usercode;
    }

    public void setUsercode(String usercode) {
        this.usercode = usercode;
    }

    public long getPersoncode() {
        return personcode;
    }

    public void setPersoncode(long personcode) {
        this.personcode = personcode;
    }

    public Date getDateto() {
        return dateto;
    }

    public void setDateto(Date dateto) {
        this.dateto = dateto;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (usercode != null ? usercode.hashCode() : 0);
        hash += (int) personcode;
        hash += (dateto != null ? dateto.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TsafeuserdetailPK)) {
            return false;
        }
        TsafeuserdetailPK other = (TsafeuserdetailPK) object;
        if ((this.usercode == null && other.usercode != null) || (this.usercode != null && !this.usercode.equals(other.usercode))) {
            return false;
        }
        if (this.personcode != other.personcode) {
            return false;
        }
        if ((this.dateto == null && other.dateto != null) || (this.dateto != null && !this.dateto.equals(other.dateto))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TsafeuserdetailPK[ usercode=" + usercode + ", personcode=" + personcode + ", dateto=" + dateto + " ]";
    }
    
}
